Subject: bug#44382: Updating the guix package triggers a full Git clone of guix.git

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 29 Nov 2020 22:24:18 -0500

Hello,

Leo Famulari <[email-masked]> writes:

> On Tue, Nov 03, 2020 at 10:48:25PM +0100, Ludovic Courtès wrote:
>> Weird, what’s the difference between fetch and clone technically?  I
>> believe commit 329dabe13bf98b899b907b45565434c5140804f5 moved to “fetch”
>> precisely so we could do shallow clones.
>
> I don't know. It's definitely weird.

I had researched this before and the option the git server is missing is
uploadpack.allowAnySHA1InWant [0].  Unfortunately last I check in
#savannah their machine (vcs0) is using an older Trisquel stuck with git
v2.11.0, one patch version before when the above feature was introduced
(v2.11.1)!  If I understood correctly, they have a new VM vcs2 but it
needs to be completely setup before they can switch.

Maxim

[0]  https://github.com/git/git/commit/f8edeaa05d8623a9f6dad408237496c51101aad8